var tmpl=`
    <gsb-form ref="baseform" :metaData="metaData" isInInline="true">
       <el-form-item slot-scope="scope" style="text-align:right">
         <slot name="otherButton"></slot>
       </el-form-item>

    </gsb-form>
`
module.exports=
`{
   template:'${tmpl}',
   props:['metaData'],
   data:function(){
     return {

     };
   },
   methods:{
     query:function(model){
        console.log(JSON.stringify(model));
        this.$emit("onquery",model);
     },
     reset:function(model){
       this.$refs.baseform.reset(model);
     },
     getModel:function(){
      return this.$refs.baseform.formModel;
     }
   },
   vname:"gsb-searchform2"
}`
